summaryrefslogtreecommitdiffstats
path: root/autotest-js.sh
diff options
context:
space:
mode:
authorLouis Chemineau <louis@chmn.me>2022-01-17 15:45:29 +0100
committerLouis Chemineau <louis@chmn.me>2022-01-18 11:03:00 +0100
commit16ba2940657973d67877500b283f02b471c812d4 (patch)
treedbfdc1097800c4a311ccc28712c21f65c3aa1b01 /autotest-js.sh
parenta7eefa293e4735ab9f249f9d12ced3e70823da35 (diff)
downloadnextcloud-server-16ba2940657973d67877500b283f02b471c812d4.tar.gz
nextcloud-server-16ba2940657973d67877500b283f02b471c812d4.zip
Migrate to npm 7 for autotest-js.sh
Signed-off-by: Louis Chemineau <louis@chmn.me>
Diffstat (limited to 'autotest-js.sh')
-rwxr-xr-xautotest-js.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/autotest-js.sh b/autotest-js.sh
index a6936ec336f..b85357a79de 100755
--- a/autotest-js.sh
+++ b/autotest-js.sh
@@ -8,7 +8,7 @@
# @copyright 2014 Vincent Petry <pvince81@owncloud.com>
#
-# set -e
+set -euo pipefail
NPM="$(which npm 2>/dev/null)"
PREFIX="build"
@@ -19,19 +19,19 @@ then
exit 1
fi
-# update/install test packages
-mkdir -p "$PREFIX" && $NPM ci --link --prefix "$PREFIX" || exit 3
+# install test packages
+mkdir -p "$PREFIX"
+$NPM ci --prefix "$PREFIX" || exit 3
# create scss test
mkdir -p tests/css
for SCSSFILE in core/css/*.scss
do
FILE=$(basename $SCSSFILE)
- FILENAME="${FILE%.*}"
- printf "\$webroot:''; @import 'functions.scss'; @import 'variables.scss'; @import '${FILE}';" | ./build/bin/node-sass --include-path core/css/ > tests/css/${FILE}.css
+ printf "\$webroot:''; @import 'functions.scss'; @import 'variables.scss'; @import '${FILE}';" | ./build/node_modules/.bin/node-sass --include-path core/css/ > tests/css/${FILE}.css
done
KARMA="$PREFIX/node_modules/karma/bin/karma"
-NODE_PATH='build/node_modules' KARMA_TESTSUITE="$1" $KARMA start tests/karma.config.js --single-run
+NODE_PATH='build/node_modules' KARMA_TESTSUITE="${1:-}" $KARMA start tests/karma.config.js --single-run
'>188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
# 
# Translators:
msgid ""
msgstr ""
"Project-Id-Version: ownCloud\n"
"Report-Msgid-Bugs-To: translations@owncloud.org\n"
"POT-Creation-Date: 2014-08-20 01:54-0400\n"
"PO-Revision-Date: 2014-08-20 05:03+0000\n"
"Last-Translator: I Robot\n"
"Language-Team: Tamil (Sri-Lanka) (http://www.transifex.com/projects/p/owncloud/language/ta_LK/)\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Language: ta_LK\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

#: ajax/dropbox.php:27
msgid ""
"Fetching request tokens failed. Verify that your Dropbox app key and secret "
"are correct."
msgstr ""

#: ajax/dropbox.php:40
msgid ""
"Fetching access tokens failed. Verify that your Dropbox app key and secret "
"are correct."
msgstr ""

#: ajax/dropbox.php:48 js/dropbox.js:102
msgid "Please provide a valid Dropbox app key and secret."
msgstr "தயவுசெய்து ஒரு செல்லுபடியான Dropbox செயலி சாவி மற்றும் இரகசியத்தை வழங்குக. "

#: ajax/google.php:27
#, php-format
msgid "Step 1 failed. Exception: %s"
msgstr ""

#: ajax/google.php:38
#, php-format
msgid "Step 2 failed. Exception: %s"
msgstr ""

#: appinfo/app.php:35 js/app.js:32 templates/settings.php:9
msgid "External storage"
msgstr ""

#: appinfo/app.php:44
msgid "Local"
msgstr ""

#: appinfo/app.php:47
msgid "Location"
msgstr "இடம்"

#: appinfo/app.php:50
msgid "Amazon S3"
msgstr ""

#: appinfo/app.php:53
msgid "Key"
msgstr ""

#: appinfo/app.php:54
msgid "Secret"
msgstr ""

#: appinfo/app.php:55 appinfo/app.php:64
msgid "Bucket"
msgstr ""

#: appinfo/app.php:59
msgid "Amazon S3 and compliant"
msgstr ""

#: appinfo/app.php:62
msgid "Access Key"
msgstr ""

#: appinfo/app.php:63
msgid "Secret Key"
msgstr ""

#: appinfo/app.php:65
msgid "Hostname (optional)"
msgstr ""

#: appinfo/app.php:66
msgid "Port (optional)"
msgstr ""

#: appinfo/app.php:67
msgid "Region (optional)"
msgstr ""

#: appinfo/app.php:68
msgid "Enable SSL"
msgstr ""

#: appinfo/app.php:69
msgid "Enable Path Style"
msgstr ""

#: appinfo/app.php:77
msgid "App key"
msgstr ""

#: appinfo/app.php:78
msgid "App secret"
msgstr ""

#: appinfo/app.php:88 appinfo/app.php:129 appinfo/app.php:140
#: appinfo/app.php:173
msgid "Host"
msgstr "ஓம்புனர்"

#: appinfo/app.php:89 appinfo/app.php:130 appinfo/app.php:152
#: appinfo/app.php:163 appinfo/app.php:174
msgid "Username"
msgstr "பயனாளர் பெயர்"

#: appinfo/app.php:90 appinfo/app.php:131 appinfo/app.php:153
#: appinfo/app.php:164 appinfo/app.php:175
msgid "Password"
msgstr "கடவுச்சொல்"

#: appinfo/app.php:91 appinfo/app.php:133 appinfo/app.php:143
#: appinfo/app.php:154 appinfo/app.php:176
msgid "Root"
msgstr ""

#: appinfo/app.php:92
msgid "Secure ftps://"
msgstr ""

#: appinfo/app.php:100
msgid "Client ID"
msgstr ""

#: appinfo/app.php:101
msgid "Client secret"
msgstr ""

#: appinfo/app.php:108
msgid "OpenStack Object Storage"
msgstr ""

#: appinfo/app.php:111
msgid "Username (required)"
msgstr ""

#: appinfo/app.php:112
msgid "Bucket (required)"
msgstr ""

#: appinfo/app.php:113
msgid "Region (optional for OpenStack Object Storage)"
msgstr ""

#: appinfo/app.php:114
msgid "API Key (required for Rackspace Cloud Files)"
msgstr ""

#: appinfo/app.php:115
msgid "Tenantname (required for OpenStack Object Storage)"
msgstr ""

#: appinfo/app.php:116
msgid "Password (required for OpenStack Object Storage)"
msgstr ""

#: appinfo/app.php:117
msgid "Service Name (required for OpenStack Object Storage)"
msgstr ""

#: appinfo/app.php:118
msgid "URL of identity endpoint (required for OpenStack Object Storage)"
msgstr ""

#: appinfo/app.php:119
msgid "Timeout of HTTP requests in seconds (optional)"
msgstr ""

#: appinfo/app.php:132 appinfo/app.php:142
msgid "Share"
msgstr "பகிர்வு"

#: appinfo/app.php:137
msgid "SMB / CIFS using OC login"
msgstr ""

#: appinfo/app.php:141
msgid "Username as share"
msgstr ""

#: appinfo/app.php:151 appinfo/app.php:162
msgid "URL"
msgstr "URL"

#: appinfo/app.php:155 appinfo/app.php:166
msgid "Secure https://"
msgstr ""

#: appinfo/app.php:165
msgid "Remote subfolder"
msgstr ""

#: js/dropbox.js:7 js/dropbox.js:29 js/google.js:8 js/google.js:40
msgid "Access granted"
msgstr "அனுமதி வழங்கப்பட்டது"

#: js/dropbox.js:33 js/dropbox.js:97 js/dropbox.js:103
msgid "Error configuring Dropbox storage"
msgstr "Dropbox சேமிப்பை தகவமைப்பதில் வழு"

#: js/dropbox.js:68 js/google.js:89
msgid "Grant access"
msgstr "அனுமதியை வழங்கல்"

#: js/google.js:45 js/google.js:122
msgid "Error configuring Google Drive storage"
msgstr "Google இயக்க சேமிப்பகத்தை தகமைப்பதில் வழு"

#: js/mountsfilelist.js:34
msgid "Personal"
msgstr "தனிப்பட்ட"

#: js/mountsfilelist.js:36
msgid "System"
msgstr ""

#: js/settings.js:325 js/settings.js:332
msgid "Saved"
msgstr ""

#: lib/config.php:712
msgid "<b>Note:</b> "
msgstr ""

#: lib/config.php:722
msgid " and "
msgstr ""

#: lib/config.php:744
#, php-format
msgid ""
"<b>Note:</b> The cURL support in PHP is not enabled or installed. Mounting "
"of %s is not possible. Please ask your system administrator to install it."
msgstr ""

#: lib/config.php:746
#, php-format
msgid ""
"<b>Note:</b> The FTP support in PHP is not enabled or installed. Mounting of"
" %s is not possible. Please ask your system administrator to install it."
msgstr ""

#: lib/config.php:748
#, php-format
msgid ""
"<b>Note:</b> \"%s\" is not installed. Mounting of %s is not possible. Please"
" ask your system administrator to install it."
msgstr ""

#: templates/list.php:7
msgid "You don't have any external storages"
msgstr ""

#: templates/list.php:16
msgid "Name"
msgstr "பெயர்"

#: templates/list.php:20
msgid "Storage type"
msgstr ""

#: templates/list.php:23
msgid "Scope"
msgstr ""

#: templates/settings.php:2
msgid "External Storage"
msgstr "வெளி சேமிப்பு"

#: templates/settings.php:8 templates/settings.php:27
msgid "Folder name"
msgstr "கோப்புறை பெயர்"

#: templates/settings.php:10
msgid "Configuration"
msgstr "தகவமைப்பு"

#: templates/settings.php:11
msgid "Available for"
msgstr ""

#: templates/settings.php:33
msgid "Add storage"
msgstr ""

#: templates/settings.php:93
msgid "No user or group"
msgstr ""

#: templates/settings.php:96
msgid "All Users"
msgstr "பயனாளர்கள் எல்லாம்"

#: templates/settings.php:98
msgid "Groups"
msgstr "குழுக்கள்"

#: templates/settings.php:106
msgid "Users"
msgstr "பயனாளர்"

#: templates/settings.php:119 templates/settings.php:120
#: templates/settings.php:159 templates/settings.php:160
msgid "Delete"
msgstr "நீக்குக"

#: templates/settings.php:133
msgid "Enable User External Storage"
msgstr "பயனாளர் வெளி சேமிப்பை இயலுமைப்படுத்துக"

#: templates/settings.php:136
msgid "Allow users to mount the following external storage"
msgstr ""

#: templates/settings.php:151
msgid "SSL root certificates"
msgstr "SSL வேர் சான்றிதழ்கள்"

#: templates/settings.php:169
msgid "Import Root Certificate"
msgstr "வேர் சான்றிதழை இறக்குமதி செய்க"